%define name pytube
%define version 0.0.11.5
%define release %mkrel 3

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Graphical multimedia converter
Group:          Video
License:        GPLv3+
URL:            http://www.bashterritory.com/%{name}/
Source:        http://www.bashterritory.com/%{name}/releases/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python
BuildRequires: python-elementtree
Requires: ffmpeg2theora
Requires: sox
Requires: ffmpeg
Requires: mplayer 
Requires: python-notify 
Requires: pygtk2.0 
Requires: mencoder
Requires: python-elementtree
Requires:       hicolor-icon-theme
BuildArch:      noarch

%description
PyTube is a graphical multimedia converter written in Python. 
It is mainly a GUI for various command line tools.

%prep
%setup -q

# Create icons and make appropriate dir structure
mkdir icons
for size in 16 22 24 32 36 48; do
  mkdir -p icons/${size}x${size}/apps
  convert %{name}.png -resize ${size}x${size} icons/${size}x${size}/apps/%{name}.png
done

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 -p %{name}.py $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 -p %{name}gui.glade $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 -p *.png $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr atom gdata $RPM_BUILD_ROOT%{_datadir}/%{name}


# Install hicolor icons
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor
cp -pr icons/*x* $RPM_BUILD_ROOT%{_datadir}/icons/hicolor

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/stream2hdd
install -m 755 -p stream2hdd/{*.py,*.pyc} $RPM_BUILD_ROOT%{_datadir}/%{name}/stream2hdd
install -m 755 -p %{name} $RPM_BUILD_ROOT%{_bindir}


# Desktop file
mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=PyTube
GenericName=PyTube
Comment=Graphical multimedia converter
Exec=pytube
Icon=pytube
Terminal=false
Type=Application
Categories=AudioVideo;Player;X-MandrivaLinux-Multimedia-Video;
GenericName=PyTube
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor

%postun
touch --no-create %{_datadir}/icons/hicolor

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/applications/*.desktop

%changelog
* Fri Sep 03 2010 Texstar <texstar at gmail.com> 0.0.11.5-3pclos2010
- rebuild

* Sun May 24 2009 Texstar <texstar@gmail.com> 0.0.11.5-2pclos2009
- fix rpm group

* Sun Mar 15 2009 Slick50 <slick50@linuxgator.org> 0.0.11.5-1pclos2007
- 0.0.11.5

* Wed Jul 25 2008 Slick50 <slick50@linuxgator.org> 0.0.11.4-1pclos2007
- 0.0.11.4

* Wed Jul 23 2008 Slick50 <slick50@linuxgator.org> 0.0.11.2-1pclos2007
- Import to PCLinuxOS
